# 10.2. Die Klassenwerkzeuge

Die Klassenwerkzeuge sind Dialogfelder, die es dem Entwickler noch einfacher machen, informationen über die Klassen seines Projekts zu erhalten. Die Klassenansicht zeigt alle Objekte nach ihrer Erscheinung im Code an, aber manchmal benötigen Sie weitere Informationen, ohne unbedingt in den Code zu schauen. Daher sind die Klassenwerkzeuge darauf ausgerichtet, spezifische Klasseninformationen anzuzeigen.

Der Klassenwerkzeug-Dialog wird über ein Popup Menü über einer Klasse in der Klassenansicht aufgerufen. Wählen Sie "Klassenwerkzeuge", um zum Dialogfeld zu gelangen. Um informationen über eine Klasse zu erhalten, wählen Sie den Klassennamen in der Combobox am oberen Rand aus. Dann bieten Ihnen die Schaltflächen darunter folgende Funktionen zur Anzeige spezifischer Bäume Ihrer Klasse. Diese sind:

Parents:

  Die Eltern der ausgewählten Klasse (Klassen, die die Klasse beerbt). Dies ist nützlich in Bezug auf die Verwendung multipler Vererbung als auch um herauszufinden, warum die Klasse sich in der ein oder anderen Weise verhält, z.B. können Dialogfelder sowohl `QWidget` als auch `QDialog` beerben.

Children:

  Zeigt alle Klassen an, die die aktuelle Klasse beerben.

Clients:

  Klassen, die die ausgewählte Klasse durch Attribute in ihrer Klassendeklaration verwenden Classes that make use of the selected class by an attribute in their class declaration tag/Suppliers:/ Klassen, die durch Attribute der Klasse verwendet werden

Attributes:

  Namen der Attribute der ausgewählten Klasse

Methods:

  Methoden der ausgewählten Klasse

Virtual Methods:

  Virtuelle Methoden der Klasse

Weiterhin erlaubt das Klassenwerzeug die sortierte Anzeige nach Modifizeirer-Attribut public, protected und private.